Skip to main content
`Ctrl`+`K`

# PetscSpaceSetNumVariables

Set the number of variables for this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetNumVariables(PetscSpace sp, PetscInt n)

## Input Parameters

- sp - The `PetscSpace`

- n - The number of variables, e.g. x, y, z…

## See Also

`PetscSpace`, `PetscSpaceGetNumVariables()`, `PetscSpaceSetNumComponents()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages